> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return profile

> Returns records from the profile entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /profile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /profile:
    get:
      tags:
        - profile
      summary: Return profile
      description: >-
        Returns records from the profile entity that match the specified query
        parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllprofile
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: profile response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/profile'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    profile:
      type: object
      properties:
        HeartbeatInterval:
          description: >-
            The interval in which the application will perform scheduled tasks
            such as sending files to your trading partners.
          type: integer
          format: int32
        NotifyEmail:
          description: >-
            Send an email to the specified email addresses when an error is
            encountered.
          type: string
        NotifyEmailFrom:
          description: The sender of notification emails.
          type: string
        NotifyEmailTo:
          description: The receiver of notification emails.
          type: string
        NotifyEmailSubject:
          description: The subject of notification emails.
          type: string
        SMTPServer:
          description: The host name or IP address of your SMTP server.
          type: string
        SMTPUser:
          description: The username to authenticate to your SMTP server.
          type: string
        SMTPPassword:
          description: The password to authenticate to your SMTP server.
          type: string
        SMTPPort:
          description: The port of your SMTP server.
          type: string
        SMTPSSLMode:
          description: The SSL mode of your SMTP server.
          type: string
        SendStatusReport:
          description: Whether or not to send a status report to the email address.
          type: boolean
        SendReportInterval:
          description: >-
            The interval for which a status report will be sent to the email
            address.
          type: string
        NotifyWindowsEvent:
          description: >-
            Whether or not to write error messages to the Windows Application
            Event Log.
          type: boolean
        NotifyStopStart:
          description: >-
            Whether or not to log when the application starts and stops in the
            event log.
          type: boolean
        ProxyType:
          description: The type of proxy to connect through.
          type: string
        ProxyHost:
          description: The host name or IP address of the proxy.
          type: string
        ProxyPort:
          description: The port of your proxy.
          type: string
        ProxyUser:
          description: The username to use when authenticating to your proxy.
          type: string
        ProxyPassword:
          description: The password to use when authenticating to your proxy.
          type: string
        ProxyAuthscheme:
          description: The auth scheme to use when authenticating to your proxy.
          type: string
        SSOClientId:
          description: >-
            The client Id associated with the OAuth application created in the
            IdP.
          type: string
        SSOClientSecret:
          description: >-
            The client secret associated with the OAuth application created in
            the IdP.
          type: string
        SSOIssuerIdentifier:
          description: The identifier used by the IdP when generating JWT tokens.
          type: string
        SSOScopes:
          description: >-
            A space-separated list of scopes (sets of permissions) to request
            from the IdP.
          type: string
        SSOAudienceURIs:
          description: The intended recipient of SSO login tokens.
          type: string
        SSOAuthorizationURL:
          description: The URL where the user should perform authorization via the IdP.
          type: string
        SSOTokenURL:
          description: >-
            The URL where a secure authentication token can be obtained from the
            IdP.
          type: string
        SSOLogoffURL:
          description: >-
            Specifies where the Arc user is redirected after logging out of the
            application.
          type: string
        SSOIssuerCertificate:
          description: >-
            The public portion of the certificate that the IdP uses to sign JWT
            tokens.
          type: string
        SSOKeyClaim:
          description: The value from the IdP to treat as the federation Id.
          type: string
        SSOTokenSignatureAlgorithm:
          description: >-
            Which signature algorithms are accepted from signed JWT tokens.
            Unsigned tokens are never accepted.
          type: string
        SSOResponseMode:
          description: >-
            The method that is used to send the data from the custom id provider
            to Azure.
          type: string
        SSOType:
          description: The type (OIDC or SAML) of SSO.
          type: string
        SSOEnabled:
          description: Indicates whether Single Sign-On (SSO) is enabled.
          type: string
        SSOEnableJITProvisioning:
          description: >-
            Indicates whether Just-In-Time (JIT) provisioning for SSO users is
            enabled.
          type: string
        SSODefaultRole:
          description: >-
            Specifies the default role assigned to users created or
            authenticated via SSO, especially if JIT provisioning is active.
          type: string
        SyslogEnable:
          description: Enable sending logs to the SysLog server.
          type: string
        SyslogRemoteHost:
          description: The remote host of the SysLog server.
          type: string
        SyslogRemotePort:
          description: The remote port of the SysLog server.
          type: string
        SyslogProtocol:
          description: Protocol to send log to sysLog server, tcp or udp.
          type: string
        SysLogEnabledLogs:
          description: The comma separated list which includes the supported log types.
          type: string
        SysLogSSLEnabled:
          description: Whether or not to enable SSL for the SysLog connection.
          type: string
        SysLogSSLAcceptServerCert:
          description: >-
            Instructs Arc to unconditionally accept the server certificate that
            matches the supplied certificate.
          type: string
        SysLogVersion:
          description: The identification of the CEF format version, 0 or 1.
          type: string
        SysLogFacility:
          description: >-
            The value from 0 to 23, with each value being a different part of
            the system.
          type: string
        SysLogMessageFormat:
          description: >-
            The message format, support Common Event Format(CEF), Structured
            Data(only if SysLogVersion = 1) or JSON.
          type: string
        uitimeformat:
          description: Select the time format display preference.
          type: string
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````